%windir%\system32\chcp 1251
@ REM COMPILER COMMAND FILE

SET IFORT=%FRUND%\Compiler\Intel
SET VC=%FRUND%\Compiler\VC
SET INTEL_LICENSE_FILE=%IFORT%
SET PATH=%IFORT%\Bin\ia32;%VC%\Bin;%FRUND%\Bin\Intel
SET LIB=%IFORT%\Lib\ia32;%VC%\Lib;;%FRUND%\Bin\Intel
SET INCLUDE=%IFORT%\Include;%IFORT%\Include\ia32;%VC%\Inlcude

@echo on
@rem ifort /w /WB /Zd /Zi /Qsave /c %1
if exist mpi.flag (
  ifort /fpscomp:ioformat  /nologo /Od /warn:none /libs:dll /WB /Threads /dbglibs /c %1 >fcompiler.lst
) else (
  ifort /fpscomp:ioformat /w /WB /Zd /Zi /Qsave /O3 /Threads /c %1 >fcompiler.lst
)
@echo off

if %errorlevel% NEQ 0 (
exit /b %errorlevel% )
